<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Branch extends Model
{
    protected $fillable = [
        'name',
        'code',
        'city',
        'address',
        'phone',
        'gstin',
        'status',
    ];

    public function users()
    {
        return $table = $this->hasMany(User::class);
    }

    public function sales()
    {
        return $this->hasMany(Sale::class);
    }

    public function productStocks()
    {
        return $this->hasMany(BranchProductStock::class);
    }
}
